#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Mail
%define		pnam	Sender
Summary:	Mail::Sender - sending mails with attachments through an SMTP server
Summary(pl.UTF-8):	Mail::Sender - wysyłanie poczty z załącznikami za pośrednictwem serwera SMTP
Name:		perl-Mail-Sender
Version:	0.903
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Mail/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	56f391635683d0edf4f992ab9368ed61
URL:		http://search.cpan.org/dist/Mail-Sender/
BuildRequires:	perl-MIME-Base64
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq	'perl(Mail::Sender.config)' 'perl(Authen::NTLM)' 'perl(Digest::HMAC_MD5)'

%description
Mail::Sender provides an object oriented interface to sending mails.
It doesn't need any outer program. It connects to a mail server
directly from Perl, using Socket.

%description -l pl.UTF-8
Mail::Sender udostępnia zorientowany obiektowo interfejs do wysyłania
poczty. Nie potrzebuje żadnego zewnętrznego programu. Łączy się
bezpośrednio z Perla z serwerem, korzystając z modułu Socket.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} </dev/null

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Mail/Sender.pm
%{perl_vendorlib}/Mail/Sender
%{_mandir}/man3/*
%changelog
* Tue Nov 20 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Mail-Sender.git;a=log;h=master

* Fri Aug 31 2018 Marcin Krol <hawk@tld-linux.org> 6ca28f8
- updated to 0.903

* Thu Sep 17 2009 amateja <amateja@pld-linux.org> b8799b7
- updated to 0.8.16

* Mon Dec 24 2007 Jakub Bogusz <qboosh@pld-linux.org> 3d0bb94
- generic URL

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 1d3abf5
- up to 0.8.13

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 6fa9fd0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 25e7617
- converted to UTF-8

* Mon Jan 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 756884a
- unified (grepable files)

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 4cfb556
- formatting

* Thu May 06 2004 ankry <ankry@pld-linux.org> bd5953a
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> 67dd20f
- cosmetics: unification

* Fri Apr 23 2004 ankry <ankry@pld-linux.org> efcc9d3
- license fixes/unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 87b2ace
- ported to new bconds

* Sat Jan 24 2004 Arkadiusz Miśkiewicz <arekm@maven.pl> e6f3220
- autoupdated to 0.8.10

* Sun Sep 21 2003 Adam Gołębiowski <adamg@pld-linux.org> 8cccae5
- fixed %%files

* Thu Sep 18 2003 Adam Gołębiowski <adamg@pld-linux.org> a54fee3
- updated to 0.8.08

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> a1480e6
- spaces -> tab

* Wed Aug 27 2003 Tomasz Pala <gotar@pld-linux.org> 64f4073
- fixed changelog trailer

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 96f98ea
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 11 2003 Jakub Bogusz <qboosh@pld-linux.org> bbe483a
- up to 0.8.06, summaries+descriptions (from RA-branch), release 2

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 1dc2198
- massive attack: source-md5

